/*
 * Copyright 2014 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COMPUTERPLAYERSETTINGSMENU_H
#define COMPUTERPLAYERSETTINGSMENU_H

#include "GameState.h"
#include "Menu.h"

class ComputerPlayerSettingsMenu : public GameState
{
public:
	ComputerPlayerSettingsMenu();
	virtual void onEvent(const SDL_Event& event);
	virtual void onValueUpdate(std::string* strValue);
	virtual void onValueUpdate(int* intValue);
	

private:
	void updatePlayer();
	
	int player;
	bool save;
	bool cancel;
	std::string name;
	std::string names[8];
	int difficulty;
	int difficulties[8];
};

#endif
